Loading...
Searching...
No Matches
pappso::specglob Namespace Reference

## Classes

struct | AminoAcidModel
class | ExperimentalSpectrum
struct | ExperimentalSpectrumDataPoint
class | PeptideModel
class | PeptideSpectrum
struct | PeptideSpectrumDataPoint
class | PostTreatment
class | ScoreValues
class | SpectralAlignment
struct | SpectralAlignmentDataPoint
struct | TheoreticalPeakDataPoint

## Typedefs

typedef std::shared_ptr< const ExperimentalSpectrum > | ExperimentalSpectrumCsp
typedef std::shared_ptr< const PeptideSpectrum > | PeptideSpectraCsp

## Enumerations

enum class | SpectralAlignmentType : std::uint8_t { nonAlign , reAlign = 1 , align = 2 }
enum class | ScoreValueType : std::uint8_t { scoreNonAlign = 0 , scoreReAlignNative = 1 , scoreReAlignSym = 2 , scoreReAlignBoth = 3 , scoreAlignNative = 4 , scoreAlignSym = 5 , scoreAlignBoth = 6 , scoreReAlignNativeNO , scoreReAlignSymNO , scoreReAlignBothNO = 9 }
enum class | ExperimentalSpectrumDataPointType : std::uint8_t { native = 0 , symetric , both , synthetic }

## Typedef Documentation

## ExperimentalSpectrumCsp

typedef std::shared_ptr<const ExperimentalSpectrum> pappso::specglob::ExperimentalSpectrumCsp

Definition at line 59 of file experimentalspectrum.h.

## PeptideSpectraCsp

typedef std::shared_ptr<const PeptideSpectrum> pappso::specglob::PeptideSpectraCsp

Definition at line 56 of file peptidespectrum.h.

## Enumeration Type Documentation

## ExperimentalSpectrumDataPointType

enum class pappso::specglob::ExperimentalSpectrumDataPointType : std::uint8_t

strong

Enumerator
native | native peak, but has no mz counterpart (the complement ion), we had to compute the symetric mass
symetric | new peak : computed symetric mass from a corresponding native peak
both | both, the ion and the complement exists in the original spectrum
synthetic | does not correspond to existing peak, for computational purpose

Definition at line 77 of file types.h.

{
native = 0, ///< native peak, but has no mz counterpart (the complement ion),
///< we had to compute the symetric mass
symetric =
1, ///< new peak : computed symetric mass from a corresponding native peak
both =
2, ///< both, the ion and the complement exists in the original spectrum
synthetic =
3, ///< does not correspond to existing peak, for computational purpose
};
pappso::specglob::ExperimentalSpectrumDataPointType::symetric
@ symetric
new peak : computed symetric mass from a corresponding native peak
pappso::specglob::ExperimentalSpectrumDataPointType::synthetic
@ synthetic
does not correspond to existing peak, for computational purpose
pappso::specglob::ExperimentalSpectrumDataPointType::native
@ native
pappso::specglob::ExperimentalSpectrumDataPointType::both
@ both
both, the ion and the complement exists in the original spectrum

## ScoreValueType

enum class pappso::specglob::ScoreValueType : std::uint8_t

strong

Enumerator
scoreNonAlign | Score for non alignment (int)
scoreReAlignNative |
scoreReAlignSym | Score for re-alignment symetric (int)
scoreReAlignBoth | Score for re-alignment both (int)
scoreAlignNative | Score for good alignment native (int)
scoreAlignSym | Score for good alignment symetric (int)
scoreAlignBoth | Score for good alignment both (int)
scoreReAlignNativeNO | Score for re-alignment without offset native (int)
scoreReAlignSymNO | Score for re-alignment without offset symetric (int)
scoreReAlignBothNO | Score for re-alignment without offset both (int)

Definition at line 56 of file types.h.

{
scoreNonAlign = 0, ///< Score for non alignment (int)
scoreReAlignNative = 1, ////algorithm< Score for re-alignment native (int)
scoreReAlignSym = 2, ///< Score for re-alignment symetric (int)
scoreReAlignBoth = 3, ///< Score for re-alignment both (int)
scoreAlignNative = 4, ///< Score for good alignment native (int)
scoreAlignSym = 5, ///< Score for good alignment symetric (int)
scoreAlignBoth = 6, ///< Score for good alignment both (int)
scoreReAlignNativeNO =
7, ///< Score for re-alignment without offset native (int)
scoreReAlignSymNO =
8, ///< Score for re-alignment without offset symetric (int)
scoreReAlignBothNO = 9, ///< Score for re-alignment without offset both (int)
};
pappso::specglob::ScoreValueType::scoreAlignNative
@ scoreAlignNative
Score for good alignment native (int)
pappso::specglob::ScoreValueType::scoreReAlignSymNO
@ scoreReAlignSymNO
Score for re-alignment without offset symetric (int)
pappso::specglob::ScoreValueType::scoreNonAlign
@ scoreNonAlign
Score for non alignment (int)
pappso::specglob::ScoreValueType::scoreAlignBoth
@ scoreAlignBoth
Score for good alignment both (int)
pappso::specglob::ScoreValueType::scoreReAlignBoth
@ scoreReAlignBoth
Score for re-alignment both (int)
pappso::specglob::ScoreValueType::scoreReAlignBothNO
@ scoreReAlignBothNO
Score for re-alignment without offset both (int)
pappso::specglob::ScoreValueType::scoreReAlignSym
@ scoreReAlignSym
Score for re-alignment symetric (int)
pappso::specglob::ScoreValueType::scoreReAlignNative
@ scoreReAlignNative
pappso::specglob::ScoreValueType::scoreAlignSym
@ scoreAlignSym
Score for good alignment symetric (int)
pappso::specglob::ScoreValueType::scoreReAlignNativeNO
@ scoreReAlignNativeNO
Score for re-alignment without offset native (int)

## SpectralAlignmentType

enum class pappso::specglob::SpectralAlignmentType : std::uint8_t

strong

Enumerator
nonAlign | the type of alignment to put in origin matrix NON Alignment (0 - NA)
reAlign | Re Alignment (1 - RE)
align | Alignment (2 - AL)

Definition at line 47 of file types.h.

{
nonAlign =
0, ///< the type of alignment to put in origin matrix NON Alignment (0 - NA)
reAlign = 1, ///< Re Alignment (1 - RE)
align = 2, ///< Alignment (2 - AL)
};
pappso::specglob::SpectralAlignmentType::nonAlign
@ nonAlign
the type of alignment to put in origin matrix NON Alignment (0 - NA)
pappso::specglob::SpectralAlignmentType::reAlign
@ reAlign
Re Alignment (1 - RE)
pappso::specglob::SpectralAlignmentType::align
@ align
Alignment (2 - AL)